import 'dart:convert';

import 'package:path/path.dart' as path;
import 'dart:io';

Future<File> catchFile() async {
  File file = File(path.join(path.current, "catch"));
  if (await file.exists()) {
    return file;
  } else {
    await file.create(recursive: false);
    return file;
  }
}

Future<Null> writeToCatchFile(Map<String, dynamic> catchMap) async {
  File file = await catchFile();

  await file.writeAsString(jsonEncode(catchMap));
}
